{% load wagtailcore_tags static %}





{% if include_context == "index_page" %}
<div class="blog-intro">
	<a class="blog-post-link" href="{% pageurl blog %}">
		<h2>{{ blog.title }}</h2>
	</a>

	{% if blog.date %}
		<div class="meta date">
			{{ blog.date|date:"F jS, Y" }}, by 
			{{ blog.author.first_name }} {{ blog.author.last_name }}
		</div>
	{% endif %}
    {% include_block blog.intro %}
	<br>
    <a href="{% pageurl blog %}">More &raquo;</a> <br>
    <a href="{% pageurl blog %}#disqus_thread" data-disqus-identifier="{{blog.path}}">No comments</a>
</div>
{% else %}
<!-- Page Header -->
<!-- Set your background image for this header on the line below. -->
<header class="intro-header" style="background-image: url('{{blog.header_image}}')">
	<div class="container">
		<div class="row">
			<div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
				<div class="site-heading">
					<h1>{{ blog.title }}</h1>
					{% if blog.date %}
					<hr class="small">
					<span class="subheading">{{ blog.date|date:"F jS, Y" }}, by {{ blog.author.first_name }} {{ blog.author.last_name }}</span>
					{% endif %}
				</div>
			</div>
		</div>
	</div>
</header>


<div class="container">
<div class="row">
	<div class="col-lg-8 col-lg-offset-2 col-md-10 col-md-offset-1">
	
<div class="blog-body">
	{% include_block blog.intro %}
    {% include_block blog.body %}
</div>


<hr class="small">
<div class="share">
    <span class="st_linkedin_large" st_title="{{ blog.title }}" st_url="{{ SITE_URL }}{% pageurl blog %}" displayText="LinkedIn"></span>
    <span class="st_twitter_large" st_title="{{ blog.title }}" st_url="{{ SITE_URL }}{% pageurl blog %}" displayText="Tweet"></span>
    <span class="st_facebook_large" st_title="{{ blog.title }}" st_url="{{ SITE_URL }}{% pageurl blog %}" displayText="Facebook"></span>
    <span class="st_plusone_large" st_title="{{ blog.title }}" st_url="{{ SITE_URL }}{% pageurl blog %}" displayText="Google +1"></span>
    <span class="st_email_large" st_title="{{ blog.title }}" st_url="{{ SITE_URL }}{% pageurl blog %}" displayText="Email"></span>
    <span class="st_sharethis_large" st_title="{{ blog.title }}" st_url="{{ SITE_URL }}{% pageurl blog %}" displayText="ShareThis"></span>
</div>

<div class="meta">
    <div class="tags">
        {% if blog.tags.all %}
		<small>
            Tags: 
                {% for tag in blog.tags.all %}
					
                    <a href="{% url 'blog:tag' tag.slug %}/">{{ tag }}</a>{% if not forloop.last %}, {% endif %}
					
                {% endfor %}
				</small>
        {% endif %}
    </div>
    <div class="tags-and-comments">
        {% if blog.categories.all %}
		   <small>
            Posted in 
                {% for cat in blog.categories.all %}
					<a href="{% url 'blog:category' cat.category.slug %}">{{ cat.category.name }}</a>{% if not forloop.last %}, {% endif %}
					
				{% endfor %} | 
				</small>
		{% endif %}
		<hr class="small">
        <div id="comments" class="comments">
<!--             <a href="{% pageurl blog %}#disqus_thread">No Comments</a>-->			
			<div id="disqus_thread"></div>
				<script>

				/**
				*  RECOMMENDED CONFIGURATION VARIABLES: EDIT AND UNCOMMENT THE SECTION BELOW TO INSERT DYNAMIC VALUES FROM YOUR PLATFORM OR CMS.
				*  LEARN WHY DEFINING THESE VARIABLES IS IMPORTANT: https://disqus.com/admin/universalcode/#configuration-variables*/
				
				var disqus_config = function () {
				this.page.url = 'https://brelje.net{% pageurl blog %}';  // Replace PAGE_URL with your page's canonical URL variable
				this.page.identifier = '{{blog.path}}'; // Replace PAGE_IDENTIFIER with your page's unique identifier variable
				this.page.title = '{{blog.title}}'
				};
				
				(function() { // DON'T EDIT BELOW THIS LINE
				var d = document, s = d.createElement('script');
				s.src = 'https://bbrelje.disqus.com/embed.js';
				s.setAttribute('data-timestamp', +new Date());
				(d.head || d.body).appendChild(s);
				})();
				</script>
				<noscript>Please enable JavaScript to view the <a href="https://disqus.com/?ref_noscript">comments powered by Disqus.</a></noscript>
        </div>
    </div>
</div>
</div>
</div>
</div>
{% endif %}

